Last Comment Bug 721079 - Calling preventDefault on the first touchmove event prevents panning, but not quickly enough
: Calling preventDefault on the first touchmove event prevents panning, but not...
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: Firefox 12
Assigned To: Wesley Johnston (:wesj)
:
Mentors:
Depends on:
Blocks: 603008
  Show dependency treegraph
 
Reported: 2012-01-25 09:11 PST by Wesley Johnston (:wesj)
Modified: 2012-02-06 18:28 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
fixed
+


Attachments
Patch 1/2 (899 bytes, patch)
2012-01-30 17:12 PST, Wesley Johnston (:wesj)
bugs: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review
Patch 2/2 (3.78 KB, patch)
2012-01-30 17:13 PST, Wesley Johnston (:wesj)
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review

Description Wesley Johnston (:wesj) 2012-01-25 09:11:16 PST
See mbrubeck's test page:

http://limpet.net/w3/touchevents/preventDefault.html

panning on the prevent move box should not allow panning at all, but I believe that it will pan for a short distance and then stop. We have a bunch of timeout code designed to handle just this. Either the timeout is not long enough, or the code is not working correctly. I'm guessing its the later.
Comment 1 Wesley Johnston (:wesj) 2012-01-30 17:12:23 PST
Created attachment 592928 [details] [diff] [review]
Patch 1/2

Two parts to fix this. Luckily, they're small fixes now! I don't think I handled notifying correctly. Smaug, this works, but I'm not sure its correct. This ok?
Comment 2 Wesley Johnston (:wesj) 2012-01-30 17:13:08 PST
Created attachment 592930 [details] [diff] [review]
Patch 2/2

This was fallout from bad unbitrotting by me :( I lost some of the fixes for being notified if we had listeners in java. This restores them.
Comment 3 Wesley Johnston (:wesj) 2012-01-30 20:48:36 PST
Part 2 inbound - http://hg.mozilla.org/integration/mozilla-inbound/rev/2fdade6a7582
Comment 4 Olli Pettay [:smaug] 2012-01-31 02:32:34 PST
...assuming whoever listens for that notification does the right thing.
Comment 5 Ed Morley [:emorley] 2012-01-31 06:50:43 PST
https://hg.mozilla.org/mozilla-central/rev/2fdade6a7582
Comment 6 Wesley Johnston (:wesj) 2012-02-02 14:33:49 PST
Comment on attachment 592928 [details] [diff] [review]
Patch 1/2

Regression caused by (bug #): 603008 multitouch
User impact if declined: Errors with multitouch events firing incorrectly
Testing completed (on m-c, etc.): landed on mc 1/2/2012
Risk to taking this patch (and alternatives if risky): Low risk. Should only affect builds with touch events enabled (i.e. mobile and b2g.
Comment 7 Wesley Johnston (:wesj) 2012-02-02 14:34:07 PST
Comment on attachment 592930 [details] [diff] [review]
Patch 2/2

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch:

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch:

Regression caused by (bug #): 603008 multitouch
User impact if declined: Errors with multitouch events firing incorrectly
Testing completed (on m-c, etc.): landed on mc 1/2/2012
Risk to taking this patch (and alternatives if risky): Low risk. Should only affect builds with touch events enabled (i.e. mobile and b2g.
Comment 8 Wesley Johnston (:wesj) 2012-02-02 14:44:36 PST
Whoops. Forgot to list part 1:
http://hg.mozilla.org/mozilla-central/rev/69ca6e6c57ea
Comment 9 Wesley Johnston (:wesj) 2012-02-02 16:04:12 PST
Comment on attachment 592930 [details] [diff] [review]
Patch 2/2

This is already on Aurora.
Comment 10 Alex Keybl [:akeybl] 2012-02-05 13:41:59 PST
Comment on attachment 592928 [details] [diff] [review]
Patch 1/2

[Triage Comment]
Mobile only - approved for Aurora 12 and Beta 11.
Comment 11 Alex Keybl [:akeybl] 2012-02-05 13:42:12 PST
Comment on attachment 592930 [details] [diff] [review]
Patch 2/2

[Triage Comment]
Mobile only - approved for Aurora 12 and Beta 11.
Comment 12 Mark Finkle (:mfinkle) (use needinfo?) 2012-02-06 09:27:06 PST
part 1
https://hg.mozilla.org/releases/mozilla-aurora/rev/120652cab075

part 2 is already on aurora

Note You need to log in before you can comment on or make changes to this bug.